Bug 1653607 - history command – Add multi-line support for command lines' quotations
Summary: history command – Add multi-line support for command lines' quotations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 31
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: nsella
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 09:15 UTC by ricky.tigg
Modified: 2020-06-19 01:05 UTC (History)
6 users (show)

Fixed In Version: dnf-4.2.23-1.fc32 dnf-4.2.23-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-05 02:29:46 UTC
Type: Bug


Attachments (Terms of Use)

Description ricky.tigg 2018-11-27 09:15:01 UTC
Enhancement request: Add multi-line support for command lines' quotations.
Version-Release number component: dnf.noarch 4.0.4-2.fc29

Actual results: in case a command line's – e.g. '-y install @virtualization' – number of characters exceeds its respective column characters number display limitation, as a result such commands are partially quoted:

$ sudo dnf history
ID     | Command line             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
     3 | -y install @virtualizati | 2018-11-23 21:51 | Install        |   11   

Expected results: dedicating a multi-lined quoting applying to Command line for such cases, would avoid that restriction as illustrated suggestion:

$ sudo dnf history
ID     | Command line             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
     3 | -y install @virtualizati | 2018-11-23 21:51 | Install        |   11   
       | on                       | 
     2 | -y upgrade               | 2018-11-10 21:33 | I, U           |  330

Comment 2 Ben Cotton 2019-10-31 19:02:28 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 nsella 2020-01-14 15:46:54 UTC
There is a PR that provides a partial fix and may actually solve this problem.
PR: https://github.com/rpm-software-management/dnf/pull/1567

The Command line column is expanded until full size of terminal is reached. If the output is redirected into file, the column will expand untile mazimum length is reached.

Comment 4 nsella 2020-02-06 16:18:05 UTC
(In reply to nsella from comment #3)
> There is a PR that provides a partial fix and may actually solve this
> problem.
> PR: https://github.com/rpm-software-management/dnf/pull/1567
> 
> The Command line column is expanded until full size of terminal is reached.
> If the output is redirected into file, the column will expand untile mazimum
> length is reached.

Edit:
A PR that fixes the bug for terminal output was merged. [1]
For redirecting stdout to file there is an enhancement of the previous. [2]

This is still partial fix but I think that wrapping lines is not the optimal solution to the problem. I would close this bug when this PR merges.

[1] https://github.com/rpm-software-management/dnf/pull/1559
[2] https://github.com/rpm-software-management/dnf/pull/1587

Comment 6 Fedora Update System 2020-06-03 08:55:04 UTC
FEDORA-2020-a943fde9ba has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a943fde9ba

Comment 7 Fedora Update System 2020-06-04 03:00:17 UTC
FEDORA-2020-f3f7292b39 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f3f7292b39`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3f7292b39

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-06-04 04:08:24 UTC
FEDORA-2020-a943fde9ba has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a943fde9ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a943fde9ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-06-05 02:29:46 UTC
FEDORA-2020-a943fde9ba has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-06-19 01:05:17 UTC
FEDORA-2020-f3f7292b39 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.